package com.aliyun.chatbot.channel.wechat.work;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Data;

/**
 * @author kelin
 * @date 2024/8/9
 */
@Data
@JacksonXmlRootElement(localName = "xml")
@JsonIgnoreProperties(ignoreUnknown = true)
public class WechatWorkAuthMsg {

    @JacksonXmlProperty(localName = "TimeStamp")
    private String timeStamp;
    @JacksonXmlProperty(localName = "InfoType")
    private String infoType;
    @JacksonXmlProperty(localName = "AuthCode")
    private String authCode;
    @JacksonXmlProperty(localName = "SuiteId")
    private String suiteId;
}
