package com.aliyun.chatbot.channel.wechat.work;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author kelin
 * @date 2024/8/9
 */
@Data
@Accessors(chain = true)
public class WechatWorkOutputMsg {

    private String touser;
    private String msgtype = "markdown";
    private Long agentid;
    private MarkdownMsg markdown;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class MarkdownMsg {
        private String content;
    }

}
